// created by zach He on 2019-04-29
// 企业概况
import url from './urls'

export default class Home {
  /**
   * @描述  1.1	获取用户信息
   */
  static getToken(parms) {
    return $http.post(url.getToken, parms);
  }

  static getTotal(parms) {
    return $http.get(url.getTotal, parms);
  }

  static getToday(parms) {
    return $http.get(url.getToday, parms);
  }

  static getSkinList(parms) {
    return $http.get(url.getSkinList, parms);
  }
  static getSkinInfo(parms) {
    return $http.get(url.getSkinInfo, parms);
  }
  static getProject(parms) {
    return $http.get(url.getProject, parms);
  }
  static getUserInfo(parms) {
    return $http.get(url.getUserInfo, parms);
  }
  static getSkinTags(parms) {
    return $http.get(url.getSkinTags, parms);
  }
  static getSkinUpdate(parms) {
    return $http.post(url.getSkinUpdate, parms);
  }
  static getProjectList(parms) {
    return $http.get(url.getProjectList, parms);
  }
  static getProducts(parms) {
    return $http.get(url.getProducts, parms);
  }
  static getOrderTime(parms) {
    return $http.get(url.getOrderTime, parms);
  }
  static setOrderUpdate(parms) {
    return $http.post(url.setOrderUpdate, parms);
  }
  static getOrderCoupon(parms) {
    return $http.get(url.getOrderCoupon, parms);
  }
  static getAuthCode(parms) {
    return $http.get(url.getAuthCode, parms);
  }
  static checkCode(parms) {
    return $http.get(url.checkCode, parms);
  }
  static getOrderByCode(parms) {
    return $http.get(url.getOrderByCode, parms);
  }
  static orderPay(parms) {
    return $http.post(url.orderPay, parms);
  }
  static payStatus(parms) {
    return $http.get(url.payStatus, parms);
  }
  static getOrderDiscount(parms) {
    return $http.get(url.getOrderDiscount, parms);
  }
  static projectClassify(parms) {
    return $http.get(url.projectClassify, parms);
  }
  static schemeDelete(parms) {
    return $http.post(url.schemeDelete, parms);
  }
  static timesAdd(parms) {
    return $http.post(url.timesAdd, parms);
  }
  static addUpdate(parms) {
    return $http.post(url.addUpdate, parms);
  }
  static getDevice_list(parms) {
    return $http.get(url.getDevice_list, parms);
  }
  static device_change(parms) {
    return $http.post(url.device_change, parms);
  }

  // 获取历史订单
  static getOrderList(parms) {
    return $http.get(url.getOrderList, parms);
  }

  // 获取订单详情
  static getOrderInfo(parms) {
    return $http.get(url.getOrderInfo, parms);
  }

  // 获取用户列表
  static getUserList(parms) {
    return $http.get(url.getUserList, parms);
  }

  // // 获取用户详情
  // static getUserInfo (parms) {
  //   return $http.get(url.getUserInfo, parms);
  // }

  // 获取优惠券列表
  static getCouponInfo(parms) {
    return $http.get(url.getCouponInfo, parms);
  }

  // 发送优惠券接口
  static sendCoupon(parms) {
    return $http.post(url.sendCoupon, parms);
  }

  // 获取用户详情接口
  static getPadUserInfo(parms) {
    return $http.get(url.getPadUserInfo, parms);
  }

  // 获取优惠券订单
  static getUserCoupon(parms) {
    return $http.get(url.getUserCoupon, parms);
  }

  // 获取商品订单
  static getUserGoods(parms) {
    return $http.get(url.getUserGoods, parms);
  }

  // 获取项目订单
  static getUserProject(parms) {
    return $http.get(url.getUserProject, parms);
  }

  // 新增项目订单
  static padOrderAdd(parms) {
    return $http.post(url.padOrderAdd, parms);
  }

  // 面部问题标签
  static skinFace_tags(parms) {
    return $http.get(url.skinFace_tags, parms);
  }

  // 皮肤问题标签
  static skinSkin_tags(parms) {
    return $http.get(url.skinSkin_tags, parms);
  }

  // 新增项目订单
  static schemeSave(parms) {
    return $http.post(url.schemeSave, parms);
  }

  // 用户预约记录
  static reservedRecords(params) {
    return $http.get(url.reservedRecords, params)
  }

  // 清除未读消息  0清除所有 1清除预约成功 2清除取消
  static clearMessage(type) {
    return $http.get(url.clearMessage, type)
  }

  // 根据Id清除未读消息  消息记录id
  static clearMessageById(id) {
    return $http.get(url.clearMessageById, id)
  }

  // 获取消息列表 （成功/失败）  1预约成功 2取消预约
  static getMessageByType({ type, page, limit }) {
    return $http.get(url.getMessageByType, { type, page, limit })
  }

  // 获取消息列表
  static getMessageList({ page, limit }) {
    return $http.get(url.getMessageList, { page, limit })
  }

  // 获取是否有未读消息
  static hasUnreadMessage() {
    return $http.get(url.hasUnreadMessage)
  }

  // 更新用户信息
  static updateUserProfile(params) {
    return $http.post(url.updateUserProfile, params)
  }

  // 获取用户卡券订单
  static getCardOrders(params) {
    return $http.get(url.getCardOrders, params)
  }
  // 获取用户次卡列表
  static getCardList(params) {
    return $http.get(url.getCardList, params)
  }
  // 次卡订单详情
  static cardInfo(params) {
    return $http.get(url.cardInfo, params)
  }
  // 次卡消耗详情
  static cardLog(params) {
    return $http.get(url.cardLog, params)
  }
  // 修改次数
  static cardUpdate(params) {
    return $http.post(url.cardUpdate, params)
  }
  // 获取项目可用的次卡
  static getOrderCard(params) {
    return $http.get(url.getOrderCard, params)
  }
  // 获取项目可用的次卡
  static getUserDetail(params) {
    return $http.post(url.getUserDetail, params)
  }
  // 客户管理编辑用户标签
  static editSign(params) {
    return $http.post(url.editSign, params)
  }
  // 余额变更记录
  static getBalanceRecord(params) {
    return $http.post(url.getBalanceRecord, params)
  }
  // 获取付费用户列表
  static getUserPayList(params) {
    return $http.get(url.getUserPayList, params)
  }
  // 获取付费用户列表
  static searchOrderUser(params) {
    return $http.post(url.searchOrderUser, params)
  }
  // 创建订单
  static createUserOrder(params) {
    return $http.post(url.createUserOrder, params)
  }
  // 获取预约人数统计
  static OrderSum(params) {
    return $http.post(url.OrderSum, params)
  }
  // 删除预约订单
  static delOrder(params) {
    return $http.get(url.delOrder, params)
  }
  // 用户预约详情
  static userOrderDetail(params) {
    return $http.get(url.userOrderDetail, params)
  }
  // 修改次卡时间
  static amendCardTime(params) {
    return $http.post(url.amendCardTime, params)
  }
  // 店员查看排班
  static getScheduling(params) {
    return $http.get(url.getScheduling, params)
  }
  // 设置排班
  static selectScheduling(params) {
    return $http.post(url.selectScheduling, params)
  }
  // 员工列表
  static getStaffList() {
    return $http.get(url.getStaffList)
  }
  // 所有人排班列表
  static getWorkList(params) {
    return $http.post(url.getWorkList, params)
  }
  // 店长分配订单
  static orderAllocation(params) {
    return $http.post(url.orderAllocation, params)
  }
  // 次卡订单列表
  static getCardOrderList(params) {
    return $http.get(url.getCardOrderList, params)
  }
  // 充值订单列表
  static getRechargeOrderList(params) {
    return $http.get(url.getRechargeOrderList, params)
  }
  // 美妆订单列表
  static getGoodsOrderList(params) {
    return $http.get(url.getGoodsOrderList, params)
  }
  // 后台发送美容师的消息
  static getCosmetMessageList(params) {
    return $http.get(url.getCosmetMessageList, params)
  }
  // 美妆产品核销
  static goodsPickUp(params) {
    return $http.post(url.goodsPickUp, params)
  }
  // 美妆产品取货
  static goodsTakeOut(params) {
    return $http.post(url.goodsTakeOut, params)
  }
  // 优惠券取消
  static checkCoupon(params) {
    return $http.post(url.checkCoupon, params)
  }
  // 同步erp订单
  static syncErpOrder(params) {
    return $http.post(url.syncErpOrder, params)
  }
  // 手动录入用户列表
  static tradeUserList(params) {
    return $http.get(url.tradeUserList, params)
  }
  // 手动录入项目列表
  static tradeProjectList(params) {
    return $http.get(url.tradeProjectList, params)
  }
  // 手动录入美妆列表
  static tradeGoodsList(params) {
    return $http.get(url.tradeGoodsList, params)
  }
  // 手动录入次卡列表
  static tradeCardList(params) {
    return $http.get(url.tradeCardList, params)
  }
  // 手动录入美容师列表
  static tradeSuserList(params) {
    return $http.get(url.tradeSuserList, params)
  }
  // 手动录入订单列表
  static tradeListAdd(params) {
    return $http.post(url.tradeListAdd, params)
  }
  // 营收管理列表
  static tradeList(params) {
    return $http.get(url.tradeList, params)
  }
  // 营收管理详情
  static tradeInfo(params) {
    return $http.get(url.tradeInfo, params)
  }
  // 营收管理订单统计
  static tradeDataTotal(params) {
    return $http.get(url.tradeDataTotal, params)
  }
  // 次卡核销
  static checkCard(params) {
    return $http.post(url.checkCard, params)
  }
}